Subject: bug#34181: guile-hall: no code for module (config)

From: Ricardo Wurmus <[email-masked]>
Date: Fri, 25 Jan 2019 17:24:58 +0100

Hi Jack,

> On Wed, 23 Jan 2019, Alex Sassmannshausen wrote:
>
>> Hi Jack,
>>
>> Thanks for your bug report — this is super helpful to debug the
>> guile-build-system in guix!
>>
>> Jack Hill writes:
>>
>>> The guile-hall package appears to be broken. All hall commands that I
>>> run result in a "no code for module (config)" error.
>>
>> The Guile build system propagates installs of dependent
>> modules. Guile-Hall depends on Guile-Config, and it looks like it is
>> built fine as part of the built process.
>>
>> What I'm curious about is whether your search paths are set correctly?
>>
>> Would you mind trying the following commands:
>> $ guile -c "(use-modules (config))"
>> $ guile -c "(use-modules (hall clean))"
>
> Both of these end produce a backtrace that ends in "no code for module
> (config)" or "… (hall clean)"
>
>> $ echo $GUILE_LOAD_PATH +++ $GUILE_LOAD_COMPILED_PATH
>
> /run/current-system/profile/share/guile/site/2.2 and
> /run/current-system/profile/lib/guile/2.2/site-ccache
>
> So it looks like my environment variables aren't set correctly?
>
> Is this a user error on my part? I had hoped that guix environment
> would set these if needed. I also tried installing guile-hall in my
> profile, and a warning about needed vars didn't get printed nor where
> they added to my profile's etc/profile.

This is likely a problem with the guile-hall package.  It should wrap
the executables in GUILE_LOAD_PATH and GUILE_LOAD_COMPILED_PATH.

Would you like to send a patch to fix this?

-- 
Ricardo